Package Details: utox-git 0.16.1.r220.g5155b879-1

Git Clone URL: https://aur.archlinux.org/utox-git.git (read-only, click to copy)
Package Base: utox-git
Description: Lightweight Tox client
Upstream URL: https://github.com/uTox/uTox
Licenses: GPL3
Conflicts: utox
Provides: utox
Submitter: Madotsuki
Maintainer: oberon2007
Last Packager: oberon2007
Votes: 60
Popularity: 0.000000
First Submitted: 2014-06-21 03:48 (UTC)
Last Updated: 2018-04-05 18:13 (UTC)

Latest Comments

oberon2007 commented on 2018-04-05 18:16 (UTC)

Needs latest toxcore 1:0.2.1 from Arch testing or alternatively toxcore-toktok-git !

oberon2007 commented on 2017-04-27 14:45 (UTC)

Thank you @holloway. Added.

holloway commented on 2017-04-27 08:53 (UTC)

There is a missing build dependency. If you don't have the package 'check' installed, it fails when configuring cmake: -- Checking for one of the modules 'check' CMake Error at /usr/share/cmake-3.7/Modules/FindPkgConfig.cmake:637 (message): None of the required 'check' found Call Stack (most recent call first): cmake/FindCheck.cmake:27 (PKG_SEARCH_MODULE) tests/CMakeLists.txt:6 (find_package) After installing the package 'check' it works.

oberon2007 commented on 2017-04-08 19:44 (UTC)

Yep! Updated :)

GrayHatter commented on 2017-04-08 19:40 (UTC)

Sorry about that, pushed the tag. It should be fixed now.

oberon2007 commented on 2017-04-08 19:32 (UTC)

@lextrode, there is no 0.14 tag on github, yet, hence git-version will still show 0.13

lectrode commented on 2017-04-08 08:33 (UTC) (edited on 2017-04-08 08:36 (UTC) by lectrode)

@oberon2007 thank you. that's good to know. just an FYI: 'check' may need to be added as a makedepends. cmake failed without it

oberon2007 commented on 2017-04-08 08:29 (UTC)

@lectrode I'll update the version, although normally there's no need to flag or update a git-package.

lectrode commented on 2017-04-08 08:18 (UTC)

@oberon2007 https://github.com/uTox/uTox/issues/787 is now closed. Looks like they're back on github with no plans to switch to gitlab for the foreseeable future. Dev branch is also now at 0.14.0. Flagged as out-of-date.

oberon2007 commented on 2017-03-15 17:29 (UTC)

So let's wait for them to make up their minds. I don't feel like changing the PKGBUILD every other day for a few commits...

rvalles commented on 2017-03-15 15:09 (UTC)

@oberon2007: TL;DR *right now* it's gitlab, but they might revert to github in a few days.

oberon2007 commented on 2017-03-15 12:44 (UTC) (edited on 2017-03-15 12:45 (UTC) by oberon2007)

@rvalles https://github.com/uTox/uTox/issues/787

rvalles commented on 2017-03-15 10:05 (UTC)

package's been bumped, but still pulls from the old repository. utox is now in gitlab. https://gitlab.com/uTox/uTox/commits/develop

tycho commented on 2017-02-23 15:12 (UTC)

@oberon2007, please add 'cmake' to makedepends

GrayHatter commented on 2016-12-13 07:30 (UTC)

The depends has changed. currently it's toxcore v0.0.5 or later... and soon the code will enforce v0.1.0 or later at compile time.

GrayHatter commented on 2016-12-13 07:28 (UTC)

should be working now https://github.com/uTox/uTox/releases/tag/v0.11.0 Open any issues on the https://github.com/uTox/uTox/ or ping me here and I'll do my best.

oberon2007 commented on 2016-12-10 02:41 (UTC)

Thank you @GrayHatter! Unfortunately I can't seem to get master branch to build because of freetype include errors: ft2build.h: No such file or directory #include <ft2build.h> I guess we'll just wait for the dev branch to be ready ;)

GrayHatter commented on 2016-12-09 23:49 (UTC)

grayhatter, lead uTox dev here. I suggest NO ONE use develop for just a few more days. There's a few bugs that were introduced into develop that may conflict with the newest version of toktok/toxcore. I believe they'll be fixed within 48h but I'll update this when the new version is released. Until then I suggest master, or backing up your profile/config dir just in case I missed something.

oberon2007 commented on 2016-12-09 19:37 (UTC)

Updated, using c-toxcore now as instructed by the developers. See: https://github.com/uTox/uTox/issues/525

SpotlightKid commented on 2016-04-12 15:00 (UTC)

@balwierz: I fixed this locally by inserting the line 'export LDFLAGS="-Wl,-z,noexecstack $LDFLAGS"' before the make command in the build() function.

balwierz commented on 2016-03-22 12:55 (UTC)

That is not safe: utox-git W: ELF file ('usr/bin/utox') has executable stack.

GrayHatter commented on 2016-03-21 02:27 (UTC)

@vlad can you update to GTK3 opt-depends?

GrayHatter commented on 2015-12-20 08:20 (UTC)

because this is a duplicate of https://aur.archlinux.org/packages/utox/ perhaps utox-git should use the develop branch? That's the branch that sees all the changes before they are pushed into the stable "master" branch?

GrayHatter commented on 2015-11-05 03:17 (UTC)

Look at the commit history for both, and tell me that you'd rather use notsecure's repo.

lesto commented on 2015-11-04 10:03 (UTC)

why is this based on GrayHatter instead of NotSecure git? everything in http://utox.org/ point to NetSecure repository!

GrayHatter commented on 2015-10-19 14:10 (UTC)

the repo is now at https://github.com/grayhatter/uTox.git

grayich commented on 2015-08-22 20:03 (UTC)

@haavardp, in tox-git can be a big change followed utox-git stable version (not git) - https://aur.archlinux.org/packages/utox/

haavard commented on 2015-08-22 19:42 (UTC)

grayich, that's not how dependencies work.

grayich commented on 2015-08-22 19:41 (UTC)

@vlad, toxcore is package tox-git is git git to git package to package

grayich commented on 2015-08-22 16:39 (UTC)

why dependency toxcore? imho: utox-git <- tox(core)-git utox <- tox(core)

haavard commented on 2015-04-14 07:10 (UTC)

I have updated the package to depend on -git versions of tox and libfilteraudio. This makes it compatible with AUR helper scripts and so on, and will be reverted when stable versions of tox and libfilteraudio are released.

grayich commented on 2015-04-13 14:44 (UTC)

imho - need to change depending libfilteraudio on libfilteraudio-git

haavard commented on 2015-04-13 14:14 (UTC)

lesto: this is likely because you have libfilteraudio installed one way or the other. I recommend you put the dependency back and install the libfilteraudio-git package, which is the supported package from Tox.

lesto commented on 2015-04-13 14:09 (UTC)

wops sorry, flagged a iut of date. btw i removed the deendency and SEEMS to compile fine.

haavard commented on 2015-04-13 13:47 (UTC)

lesto: the package you need to install is libfilteraudio-git.

lesto commented on 2015-04-13 13:44 (UTC)

build fail as libfilteraudio does not seems to exist anymore

haavard commented on 2015-04-12 13:15 (UTC)

punkrockdude: Thanks for reporting. Where have you installed the tox-git package from? The preferred way to build it is using the official PKGBUILD repository[0]. Please make sure it is up to date. If this doesn't help, could you "echo $PKG_CONFIG_PATH" and "pacman -Ql tox-git"? [0]: https://github.com/Tox/arch-repo-tox

archlinux38 commented on 2015-04-11 19:00 (UTC)

I get the following when trying to compile: Package libtoxav was not found in the pkg-config search path. Perhaps you should add the directory containing `libtoxav.pc' to the PKG_CONFIG_PATH environment variable No package 'libtoxav' found Package libtoxcore was not found in the pkg-config search path. Perhaps you should add the directory containing `libtoxcore.pc' to the PKG_CONFIG_PATH environment variable No package 'libtoxcore' found Package libtoxav was not found in the pkg-config search path. Perhaps you should add the directory containing `libtoxav.pc' to the PKG_CONFIG_PATH environment variable No package 'libtoxav' found Package libtoxcore was not found in the pkg-config search path. Perhaps you should add the directory containing `libtoxcore.pc' to the PKG_CONFIG_PATH environment variable No package 'libtoxcore' found Package libtoxav was not found in the pkg-config search path. Perhaps you should add the directory containing `libtoxav.pc' to the PKG_CONFIG_PATH environment variable No package 'libtoxav' found Package libtoxcore was not found in the pkg-config search path. Perhaps you should add the directory containing `libtoxcore.pc' to the PKG_CONFIG_PATH environment variable No package 'libtoxcore' found CC tooltip.o In file included from tooltip.c:1:0: main.h:20:21: fatal error: tox/tox.h: No such file or directory #include <tox/tox.h> ^ compilation terminated. Makefile:111: recipe for target 'tooltip.o' failed make: *** [tooltip.o] Error 1 ==> ERROR: A failure occurred in build().

grayich commented on 2015-04-11 16:24 (UTC)

@urras, 10x)

urras commented on 2015-04-11 16:17 (UTC)

grayich, It's now at https://aur.archlinux.org/packages/libfilteraudio-git/. haavardp, please replace libfilteraudio with libfilteraudio-git in the dependencies.

haavard commented on 2015-04-10 19:17 (UTC)

grayich: there is a package called filter_audio-git, but it does not provide the correct package name. We're looking into the best way to work this out - in the meantime, please install all Tox packages from our GitHub repository.

grayich commented on 2015-04-10 18:56 (UTC)

the question is, why it is not here - https://aur.archlinux.org/packages/libfilteraudio ?

haavard commented on 2015-04-10 18:31 (UTC)

@grayich: You have to install libfilteraudio; official PKGBUILD can be found here: https://github.com/Tox/arch-repo-tox

urras commented on 2015-04-10 18:25 (UTC)

@grayich It already depends on libfilteraudio. Can you maybe share a log or something?

grayich commented on 2015-04-10 16:36 (UTC)

missing depends libfilteraudio

UnsolvedCypher commented on 2015-03-26 03:00 (UTC)

Looks like an issue in the PKGBUILD, the package to be installed doesn't match the name of the built one: ==> Finished making: utox-git r1408.g8020bd6-1 (Wed Mar 25 22:44:09 EDT 2015) loading packages... error: 'utox-git-r1116.gf464141-1*.pkg.tar.xz': could not find or read package

urras commented on 2015-03-19 13:48 (UTC)

@Madotsuki are you still maintaining this?

GI_Jack commented on 2015-03-02 01:15 (UTC)

change openal to openal-soft-tox

Madotsuki commented on 2015-01-29 15:13 (UTC)

@Jaegrqualm: You're right, added it.

Jaegrqualm commented on 2015-01-29 04:50 (UTC)

@Madotsuki You forgot to add it to the dependencies list. I had to install fileter_audio-git manually to compile.

Madotsuki commented on 2015-01-27 13:15 (UTC)

Updated for filter_audio-git.

Madotsuki commented on 2015-01-13 05:43 (UTC)

Sorry about that, completely forgot about this. Basically copied and pasted from mickours' git.

mickours commented on 2015-01-09 18:04 (UTC)

I forked the @haavardp repo to change libtoxcre to tox-git. Now it works: https://github.com/mickours/pkgbuild/tree/master/utox-git Could you update the PKGBUILD?

haavard commented on 2015-01-06 15:33 (UTC)

Works for me, however it has some unnecessary dependencies and needs to update icon databases (try namcapping the package). I have an alternate PKGBUILD here that does this: https://github.com/haavardp/pkgbuild/tree/master/utox-git

CompletelyGalen commented on 2014-12-01 16:50 (UTC)

Needs an update, doesn't work with the latest tox-git

Madotsuki commented on 2014-09-29 13:08 (UTC)

It's the source itself, unflagged. None of these are package/dependency errors.

sekret commented on 2014-09-29 10:30 (UTC)

Different error http://codepad.org/reuIcjGz Is this software kinda buggy all the time?

GI_Jack commented on 2014-09-29 01:23 (UTC)

dns.c:137:26: error: ‘TOXDNS_MAX_RECOMMENDED_NAME_LENGTH’ undeclared (first use in this function) if ((d - dest) > TOXDNS_MAX_RECOMMENDED_NAME_LENGTH) looks like a missing dependency somewhere

trygveaa commented on 2014-09-26 16:29 (UTC)

Compiles fine for me. Shouldn't be marked as out of date.

Almin commented on 2014-09-13 10:53 (UTC)

I'm having exactly the same compilation error. Can anyone help, please?

Zanhast commented on 2014-09-02 12:38 (UTC)

Error during compilation with utox-git 20140821-1: ==> Building... cc -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/AL -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -g -pthread -std=gnu99 -o friend.o -c friend.c In file included from friend.c:1:0: main.h:147:1: erreur: unknown type name ‘Tox_Options’ Tox_Options options; ^ Makefile:82: recipe for target 'friend.o' failed make: *** [friend.o] Error 1 ==> ERREUR : Une erreur s’est produite dans build(). Abandon... ==> ERREUR: Makepkg n'a pas pu construire utox-git. ==> Relancer la compilation de utox-git ? [o/N] ==> -------------------------------------------

Madotsuki commented on 2014-08-24 19:12 (UTC)

Done.

arcanis commented on 2014-08-24 05:54 (UTC)

to avoid installation to /usr/local set PREFIX to /usr: make PREFIX="/usr" DESTDIR="$pkgdir" install

arcanis commented on 2014-08-24 05:39 (UTC)

namcap output: http://pastebin.com/hgiBe1S1

mazzolino commented on 2014-08-02 23:27 (UTC)

@CrypticByte. I had a similar problem. Try updating your tox-git package first.

Madotsuki commented on 2014-08-02 20:19 (UTC)

Not a package problem, compiles fine for me.

CrypticByte commented on 2014-08-02 18:10 (UTC)

Makefile:25: recipe for target 'tox.o' failed make: *** [tox.o] Error 1 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build utox-git. ==> Restart building utox-git ? [y/N] I get this error duing compiling.

Madotsuki commented on 2014-08-01 16:31 (UTC)

..This appears to be a problem with toxav/utox, not a package problem?

Madotsuki commented on 2014-08-01 04:46 (UTC)

Added dbus-c++ dependency.

Madotsuki commented on 2014-06-28 16:04 (UTC)

Removed libpng dependency, added v4l-utils to dependency list.

Madotsuki commented on 2014-06-25 18:05 (UTC)

Implemented cleaned up version. Glad to see make install finally works.

atweiden commented on 2014-06-25 17:37 (UTC)

I cleaned up the PKGBUILD a bit http://ix.io/d92

Madotsuki commented on 2014-06-25 17:06 (UTC)

Updated, removed HarfBuzz from dependencies.

Madotsuki commented on 2014-06-25 02:19 (UTC)

Updated, added libvpx to dependencies. Thanks for pointing that out, Brottweiler.

Brottweiler commented on 2014-06-24 14:11 (UTC)

Error when building: ./xlib/main.c:1138: error: undefined reference to 'vpx_img_free' ./tox_av.h:143: error: undefined reference to 'vpx_img_alloc' clang: error: linker command failed with exit code 1 (use -v to see invocation) Makefile:13: recipe for target 'uTox' failed make: *** [uTox] Error 1 ==> ERROR: A failure occurred in build(). Aborting...